<html>
<head>
<title>TestNG:  CRUD</title>
<link href="../testng.css" rel="stylesheet" type="text/css" />
<link href="../my-testng.css" rel="stylesheet" type="text/css" />

<style type="text/css">
.log { display: none;} 
.stack-trace { display: none;} 
</style>
<script type="text/javascript">
<!--
function flip(e) {
  current = e.style.display;
  if (current == 'block') {
    e.style.display = 'none';
    return 0;
  }
  else {
    e.style.display = 'block';
    return 1;
  }
}

function toggleBox(szDivId, elem, msg1, msg2)
{
  var res = -1;  if (document.getElementById) {
    res = flip(document.getElementById(szDivId));
  }
  else if (document.all) {
    // this is the way old msie versions work
    res = flip(document.all[szDivId]);
  }
  if(elem) {
    if(res == 0) elem.innerHTML = msg1; else elem.innerHTML = msg2;
  }

}

function toggleAllBoxes() {
  if (document.getElementsByTagName) {
    d = document.getElementsByTagName('div');
    for (i = 0; i < d.length; i++) {
      if (d[i].className == 'log') {
        flip(d[i]);
      }
    }
  }
}

// -->
</script>

</head>
<body>
<h2 align='center'>CRUD</h2><table border='1' align="center">
<tr>
<td>Tests passed/Failed/Skipped:</td><td>5/1/0</td>
</tr><tr>
<td>Started on:</td><td>Sat Jun 12 12:13:40 EET 2021</td>
</tr>
<tr><td>Total time:</td><td>3 seconds (3073 ms)</td>
</tr><tr>
<td>Included groups:</td><td></td>
</tr><tr>
<td>Excluded groups:</td><td></td>
</tr>
</table><p/>
<small><i>(Hover the method name to see the test class name)</i></small><p/>
<table width='100%' border='1' class='invocation-failed'>
<tr><td colspan='4' align='center'><b>FAILED TESTS</b></td></tr>
<tr><td><b>Test method</b></td>
<td width="30%"><b>Exception</b></td>
<td width="10%"><b>Time (seconds)</b></td>
<td><b>Instance</b></td>
</tr>
<tr>
<td title='recipe.Delete_recipe.Delete()'><b>Delete</b><br>Test class: recipe.Delete_recipe</td>
<td><div><pre>java.lang.AssertionError: expected [Pumpkin Pie Spaghetti Onion Pie ] but found [Pumpkin Pie
Spaghetti
Onion Pie
Recipe Name]
	at recipe.Delete_recipe.Delete(Delete_recipe.java:31)
... Removed 29 stack frames</pre></div><a href='#' onClick='toggleBox("stack-trace296204898", this, "Click to show all stack frames", "Click to hide stack frames")'>Click to show all stack frames</a>
<div class='stack-trace' id='stack-trace296204898'><pre>java.lang.AssertionError: expected [Pumpkin Pie Spaghetti Onion Pie ] but found [Pumpkin Pie
Spaghetti
Onion Pie
Recipe Name]
	at org.testng.Assert.fail(Assert.java:94)
	at org.testng.Assert.failNotEquals(Assert.java:496)
	at org.testng.Assert.assertEquals(Assert.java:125)
	at org.testng.Assert.assertEquals(Assert.java:178)
	at org.testng.Assert.assertEquals(Assert.java:188)
	at recipe.Delete_recipe.Delete(Delete_recipe.java:31)
	at java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
	at java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:62)
	at java.base/jdk.internal.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)
	at java.base/java.lang.reflect.Method.invoke(Method.java:564)
	at org.testng.internal.MethodInvocationHelper.invokeMethod(MethodInvocationHelper.java:85)
	at org.testng.internal.Invoker.invokeMethod(Invoker.java:639)
	at org.testng.internal.Invoker.invokeTestMethod(Invoker.java:816)
	at org.testng.internal.Invoker.invokeTestMethods(Invoker.java:1124)
	at org.testng.internal.TestMethodWorker.invokeTestMethods(TestMethodWorker.java:125)
	at org.testng.internal.TestMethodWorker.run(TestMethodWorker.java:108)
	at org.testng.TestRunner.privateRun(TestRunner.java:774)
	at org.testng.TestRunner.run(TestRunner.java:624)
	at org.testng.SuiteRunner.runTest(SuiteRunner.java:359)
	at org.testng.SuiteRunner.runSequentially(SuiteRunner.java:354)
	at org.testng.SuiteRunner.privateRun(SuiteRunner.java:312)
	at org.testng.SuiteRunner.run(SuiteRunner.java:261)
	at org.testng.SuiteRunnerWorker.runSuite(SuiteRunnerWorker.java:52)
	at org.testng.SuiteRunnerWorker.run(SuiteRunnerWorker.java:86)
	at org.testng.TestNG.runSuitesSequentially(TestNG.java:1215)
	at org.testng.TestNG.runSuitesLocally(TestNG.java:1140)
	at org.testng.TestNG.run(TestNG.java:1048)
	at org.testng.remote.AbstractRemoteTestNG.run(AbstractRemoteTestNG.java:115)
	at org.testng.remote.RemoteTestNG.initAndRun(RemoteTestNG.java:251)
	at org.testng.remote.RemoteTestNG.main(RemoteTestNG.java:77)
</pre></div></td>
<td>0</td>
<td>recipe.Delete_recipe@24105dc5</td></tr>
</table><p>
<table width='100%' border='1' class='invocation-passed'>
<tr><td colspan='4' align='center'><b>PASSED TESTS</b></td></tr>
<tr><td><b>Test method</b></td>
<td width="30%"><b>Exception</b></td>
<td width="10%"><b>Time (seconds)</b></td>
<td><b>Instance</b></td>
</tr>
<tr>
<td title='recipe.Add_recipe.Add()'><b>Add</b><br>Test class: recipe.Add_recipe</td>
<td></td>
<td>0</td>
<td>recipe.Add_recipe@7975d1d8</td></tr>
<tr>
<td title='recipe.Add_recipe.Assertion()'><b>Assertion</b><br>Test class: recipe.Add_recipe</td>
<td></td>
<td>0</td>
<td>recipe.Add_recipe@7975d1d8</td></tr>
<tr>
<td title='recipe.Edit_recipe.Assertion()'><b>Assertion</b><br>Test class: recipe.Edit_recipe</td>
<td></td>
<td>0</td>
<td>recipe.Edit_recipe@2438dcd</td></tr>
<tr>
<td title='recipe.Edit_recipe.Edit()'><b>Edit</b><br>Test class: recipe.Edit_recipe</td>
<td></td>
<td>0</td>
<td>recipe.Edit_recipe@2438dcd</td></tr>
<tr>
<td title='recipe.Add_recipe.Resize()'><b>Resize</b><br>Test class: recipe.Add_recipe</td>
<td></td>
<td>0</td>
<td>recipe.Add_recipe@7975d1d8</td></tr>
</table><p>
</body>
</html>